crashpad::UnloadedModuleSnapshot Class Reference

Information about an unloaded module that was previously loaded into a snapshot process. More...

`#include "snapshot/unloaded_module_snapshot.h"`

## Public Member Functions

| UnloadedModuleSnapshot (uint64_t address, uint64_t size, uint32_t checksum, uint32_t timestamp, const std::string &name)
uint64_t | Address () const
| The base address of the module in the target processes' address space.
uint64_t | Size () const
| The size of the module.
uint32_t | Checksum () const
| The checksum of the image.
uint32_t | Timestamp () const
| The time and date stamp in `time_t` format.
std::string | Name () const
| The name of the module.

## Detailed Description

Information about an unloaded module that was previously loaded into a snapshot process.

The documentation for this class was generated from the following files:

- snapshot/unloaded_module_snapshot.h
- snapshot/unloaded_module_snapshot.cc